$(document).ready(function() {
	displayImage();
});

function changeImages() {
	if (document.images) {
		for ( var i = 0; i < changeImages.arguments.length; i += 2) {
			document[changeImages.arguments[i]].src = changeImages.arguments[i + 1];
		}
	}
}

function preloadPhoto(photourl) {
	var toolsBut_o = new Image();
	toolsBut_o.src = photourl;
}

function displayImage() {
	var devurlbase = "file:///android_asset/images/fetaldev/";
	var refimg = $('#devphotos > img')[0];
	var refreset = devurlbase + developmentData.devBackground;
	var reftext = $('#devphotos_text')[0].innerHTML;
	refimg.src = refreset;
	$('#devphotos').css({
		"background-image" : "url('" + refreset + "')"
	});
	$.each(developmentData.devLinkLabels, function(index, value) {
		// linkable data
		preloadPhoto(devurlbase + value.image);
		$(refimg).after(
				"<a class=\"linkBtn_\" style=\"top: " + value.top
						+ "px; left: " + value.left + "px;\" id=\"devimg"
						+ index + "\">" + value.name + "</a>");
		$("#devimg" + index).click(
				jQuery.proxy(function() {
					changeImages('switch', devurlbase + value.image);
					$('#devphotos_text').html(value.description);
				}, this));
		$("#devphotos_text").click(jQuery.proxy(function() {
			changeImages('switch', refreset);
			$('#devphotos_text').html(reftext);
		}, this));
	});
	$.each(developmentData.devLabels, function(index, value) {
		// nonlinkable data
		$(refimg).after(
				"<div class=\"infoText_\" style=\"top: " + value.top
						+ "px; left: " + value.left + "px;\" id=\"devimg"
						+ index + "\">" + value.name + "</div>");
	});
}
