$(document).ready(function(){
				  createAndDisplayArticlePreview();
				  updateCurrentYear();
				  });


/**
 * this function grabs the first paragraph of article body and puts it into the articleShort div,
 * hides the full article and shows the article preview (articleShort) with "read more" link
 * read more link shows displays version of article and hides short version
 */
createAndDisplayArticlePreview = function (){
	/* hide article body until short version is set */
	$("articleFull").css("display","none");
	
	splitArticle();
	
	expandArticleView();
	
	/* bind the read more link to show the full article and hide the preview */
	/*$("#readMore").bind("click", function(){
	 
	 expandArticleView();
	 return false;
	 });*/
}

/*
 * this function returns the text between the first <p> </p> tags in the article
 * if no <p> tag is found, returns false
 */
splitArticle =function(){
	
	/* get the full article */
	var articleFullContent = $("#articleFull").html();
	var articleSplitArray = articleFullContent.split("<p>");
	var articleSplitArrayLength = articleSplitArray.length;
	var isFirstElement = true;
	for(var i=0; i<articleSplitArrayLength; i++) {
		/* find the first item in the split array that has content in it */
		
		var articleSubstring = articleSplitArray[i];
		var containsLetters=new RegExp("[A-z]");
		var stringHasLetters = containsLetters.exec(articleSubstring);
		if (stringHasLetters){
			articleSubstring2 = articleSubstring.split("</p>");
			/* did the string have a closing p tag? */
			if (articleSubstring2 != null && isFirstElement){
				isFirstElement = false;
				$("#articleTeaser").append(articleSubstring2[0]);
                $("#articleRest").append(articleSubstring2[1]);
			} else{
                $("#articleRest").append("<p>" + articleSubstring2[0]+ "</p>");
                $("#articleRest").append("<p>" + articleSubstring2[1]+ "</p>");
			}
		}
	}
	$("#articleRest").css("display","none");
	
}



/**
 * hide the article preview & show full article contents
 */
expandArticleView = function(){
	$("#articleRest").css("display","block");
	$("#readMore").css("display","none");
}


/**
 * update spans with class currentYear with the current year
 */
updateCurrentYear = function(){
	var todaysDate=new Date();
	var thisyear=todaysDate.getFullYear();
	$("span.currentYear").html(thisyear);
}

/**
 * this function is enable toggling the checklist box
 */

toggleChecklistButton = function (command) {
	var container1 = document.getElementById('container1');
	var container2 = document.getElementById('container2');
	if (command == "seton")
	{
		container1.style.display = "none";
		container2.style.display = "block";
	}
	else
	{
		container1.style.display = "block";
		container2.style.display = "none";
	}
}

function loadAd(adId,adContents) {
	document.getElementById(adId).innerHTML = adContents;
}
